#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define develname %mklibname -d %{name}

Name: amarok
Summary: A powerful media player for KDE4
Version: 2.8.90
Release: %mkrel 6
Epoch: 3
License: GPLv2 and LGPLv2 and GFDL
Url: http://amarok.kde.org/
Group: Sound/Players
Source0: http://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz
Patch1: 0001-Fix-initial-preference-in-.desktop-from-2.1.90.patch
Patch3: 0003-Fix-TagLib-version-check.patch
Patch9: 0009-fix-apparent-obvious-error-typo-in-find_library-MYSQ.patch
Patch10: 0010-Fix-tabs-applet.patch
Patch12: 0012-tabs-applet-Add-missing-to-fix-the-build.patch
Patch13: 0013-Fix-for-the-infinite-loop-in-case-a-home-burned-or-o.patch
Patch14: 0014-Only-link-with-MYSQL_EMBEDDED_LIBRARIES-if-WITH_MYSQ.patch
Patch15: 0015-Fix-a-crash-in-amarok-when-opening-the-Script-Consol.patch
Patch16: 0016-Fix-untranslatable-string.patch
Patch17: 0017-gcc6-buildfix.patch
Patch19: 0019-Disable-non-SSL-connections-in-wikipedia-applet.patch
Patch20: 0020-Wikipedia-applet-Remove-last-trace-of-no-SSL-possibi.patch
Patch24: 0024-Substitute-deprecated-MySQL-option-myisam-recover.patch
Patch25: 0025-Handle-numeric-fields-properly-in-filter-creation-di.patch
Patch26: 0026-Use-transparent-background-for-lyrics-browser.patch
Patch27: 0027-Organize-tracks-Guess-tags-presets-persisted-properl.patch
Patch28: 0028-Fix-for-C-warnings-about-unused-variables-and-deprec.patch
Patch29: 0029-Fix-MPRIS2-DesktopEntry-value.patch
Patch30: 0030-Fix-Collection-Browser-auto-expand-after-search-expa.patch
Patch36: 0036-Fix-Bug-302299-Autoscrolling-Lyrics-are-scrolling-do.patch
Patch37: 0037-Fix-minor-typo.patch
Patch38: 0038-Fix-amarok-build-with-LibOFA-using-ffmpeg-3.patch
Patch39: 0039-Fix-Gpodder-credential-service-without-kwallet.patch
Patch41: 0041-Add-namespace-to-desktop-and-appdata-files.patch
Patch43: 0043-Fix-appdata-add-the-required-summary-tag.patch
# make mysql_found non-fatal
Patch100: amarok-2.8.90-mysql_found.patch

BuildRequires: kdelibs4-devel >= 2:4.8.4
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libavcodec)
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(libgpod-1.0) >= 0.7.0
BuildRequires: pkgconfig(libofa)
BuildRequires: pkgconfig(libmtp) >= 0.3.0
BuildRequires: pkgconfig(libmygpo-qt) >= 1.0.7
BuildRequires: pkgconfig(libvisual-0.4)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(loudmouth-1.0)
BuildRequires: pkgconfig(phonon) >= 4.5.0
BuildRequires: pkgconfig(qca2)
BuildRequires: pkgconfig(QJson)
BuildRequires: pkgconfig(QtWebKit)
BuildRequires: pkgconfig(taglib) >= 1.6
BuildRequires: pkgconfig(taglib-extras) >= 1.0.1
BuildRequires: liblastfm-devel
BuildRequires: mysql-devel
BuildRequires: mysql-embedded-devel
BuildRequires: qtscriptgenerator
BuildRequires: qtscriptbindings
BuildRequires: clamz

Requires: mysql-common-core
Requires: qtscriptbindings
Requires: kde4-audiocd
Requires: amarok-utils = %epoch:%version-%release
Recommends: amarok-handbook
Recommends: clamz
Recommends: ifuse
Recommends: kio-mtp

# Allow transcoding
Recommends: ffmpeg
Obsoletes: amarok-scripts < 3:2.4.3-2

%description
Feature Overview

* Music Collection:
You have a huge music library and want to locate tracks quickly? Let amaroK's
powerful Collection take care of that! It's a database powered music store,
which keeps track of your complete music library, allowing you to find any
title in a matter of seconds.

* Intuitive User Interface:
You will be amazed to see how easy amaroK is to use! Simply drag-and-drop files
into the playlist. No hassle with complicated  buttons or tangled menus.
Listening to music has never been easier!

* Streaming Radio:
Web streams take radio to the next level: Listen to thousands of great radio
stations on the internet, for free! amaroK provides excellent streaming
support, with advanced features, such as displaying titles of the currently
playing songs.

* Context Browser:
This tool provides useful information on the music you are currently listening
to, and can make listening suggestions, based on your personal music taste. An
innovate and unique feature.

* Visualizations:
amaroK is compatible with XMMS visualization plugins. Allows you to use the
great number of stunning visualizations available on the net. 3d visualizations
with OpenGL are a great way to enhance your music experience.

%files -f %name.lang
%_kde_bindir/amarok
%_kde_bindir/amarokmp3tunesharmonydaemon
%_kde_bindir/amarokpkg
%_kde_bindir/amzdownloader
%_kde_libdir/kde4/amarok*.so
%_kde_libdir/kde4/kcm_amarok*.so
%_kde_libdir/libampache_account_login.so
%_kde_libdir/libamarok_service_lastfm_shared.so
%_kde_applicationsdir/*amarok.desktop
%_kde_applicationsdir/*amarok_containers.desktop
%_kde_applicationsdir/amzdownloader.desktop
%_kde_configdir/amarok.knsrc
%_kde_configdir/amarok_homerc
%_kde_configdir/amarokapplets.knsrc
%_kde_datadir/appdata/*%{name}.appdata.xml
%_kde_datadir/config.kcfg/amarokconfig.kcfg
%_kde_appsdir/amarok
%_kde_appsdir/desktoptheme/*
%_kde_appsdir/solid/actions/amarok-play-audiocd.desktop
%_kde_appsdir/kconf_update/amarok-2.4.1-tokens_syntax_update.pl
%_kde_appsdir/kconf_update/amarok.upd
%_kde_services/ServiceMenus/amarok_append.desktop
%_kde_services/amarok*.protocol
%_kde_services/amarok*.desktop
%_kde_servicetypes/*
%_kde_iconsdir/hicolor/*/*/amarok.png
%_datadir/mime/packages/amzdownloader.xml
%_datadir/dbus-1/interfaces/*
# Don't include html doc here
%exclude %_kde_docdir/HTML

#--------------------------------------------------------------------

%package utils
Summary: Utilities for amarok
Group: Graphical desktop/KDE
URL: http://amarok.kde.org/wiki/Batch_Mode
Conflicts: amarok < 3:2.4.3-4

%description utils
Utilities for amarok
This package provides 2 utilities for amarok
amarokcollectionscanner ( http://amarok.kde.org/wiki/Batch_Mode )
 This utilitie can be used to scan your collection without amarok installed
amarok_afttagger ( http://amarok.kde.org/wiki/Amarok_File_Tracking )
 This utilie allow to edit/remove AFT tags

%files utils
%_kde_bindir/amarokcollectionscanner
%_kde_bindir/amarok_afttagger

#--------------------------------------------------------------------

%package handbook
Summary: Amarok Handbook
BuildArch: noarch
Conflicts: amarok < 3:2.4.3-5

%description handbook
This package provides Amarok Handbook.

%files handbook -f amarok.lang
%doc COPYING COPYING.LIB COPYING.DOC AUTHORS README
# yet another ugly workaround to mark the lang on handbooks
%exclude %_kde_datadir/locale/
#------------------------------------------------

%define libamaroklib_major 1
%define libamaroklib %mklibname amaroklib %libamaroklib_major

%package -n %libamaroklib
Summary: Amarok 2 core library
Group: System/Libraries

%description -n %libamaroklib
Amarok 2 core library.

%files -n %libamaroklib
%_kde_libdir/libamaroklib.so.%{libamaroklib_major}*

#------------------------------------------------

%define libamarokcore_major 1
%define libamarokcore %mklibname amarokcore %libamarokcore_major

%package -n %libamarokcore
Summary: Amarok 2 core library
Group: System/Libraries

%description -n %libamarokcore
Amarok 2 core library.

%files -n %libamarokcore
%_kde_libdir/libamarokcore.so.%{libamarokcore_major}*

#------------------------------------------------

%define libamarokpud_major 1
%define libamarokpud %mklibname amarokpud %libamarokpud_major

%package -n %libamarokpud
Summary: Amarok 2 core library
Group: System/Libraries

%description -n %libamarokpud
Amarok 2 core library.

%files -n %libamarokpud
%_kde_libdir/libamarokpud.so.%{libamarokpud_major}*

#------------------------------------------------

%define libamarokocsclient_major 4
%define libamarokocsclient %mklibname amarokocsclient %libamarokocsclient_major

%package -n %libamarokocsclient
Summary: Amarok 2 core library
Group: System/Libraries

%description -n %libamarokocsclient
Amarok 2 core library.

%files -n %libamarokocsclient
%_kde_libdir/libamarokocsclient.so.%{libamarokocsclient_major}*

#------------------------------------------------

%define libamaroksqlcollection_major 1
%define libamaroksqlcollection %mklibname amarok-sqlcollection %libamaroksqlcollection_major

%package -n %libamaroksqlcollection
Summary: Amarok 2 core library
Group: System/Libraries

%description -n %libamaroksqlcollection
Amarok 2 core library.

%files -n %libamaroksqlcollection
%_kde_libdir/libamarok-sqlcollection.so.%{libamaroksqlcollection_major}*

#------------------------------------------------

%define libamaroktranscoding_major 1
%define libamaroktranscoding %mklibname amarok-transcoding %libamaroktranscoding_major

%package -n %libamaroktranscoding
Summary: Amarok 2 core library
Group: System/Libraries

%description -n %libamaroktranscoding
Amarok 2 core library.

%files -n %libamaroktranscoding
%_kde_libdir/libamarok-transcoding.so.%{libamaroktranscoding_major}*

#------------------------------------------------

%define libamarokshared_major 1
%define libamarokshared %mklibname amarokshared %libamarokshared_major

%package -n %libamarokshared
Summary: Amarok 2 core library
Group: System/Libraries

%description -n %libamarokshared
Amarok 2 core library.

%files -n %libamarokshared
%_kde_libdir/libamarokshared.so.%{libamarokshared_major}*

#------------------------------------------------

%package -n %{develname}
Summary: Headers of %name for development
Group: Development/KDE and Qt
Requires: %libamaroklib = %epoch:%{version}-%{release}
Requires: %libamarokcore = %epoch:%{version}-%{release}
Requires: %libamarokpud = %epoch:%{version}-%{release}
Requires: %libamarokocsclient = %epoch:%{version}-%{release}
Requires: %libamaroksqlcollection = %epoch:%{version}-%{release}
Requires: %libamaroktranscoding = %epoch:%{version}-%{release}
Requires: %libamarokshared = %epoch:%{version}-%{release}
Provides: %{name}-devel = %epoch:%{version}-%{release}

%description -n %{develname}
Headers of %{name} for development.

%files -n %{develname}
%{_kde_libdir}/libamaroklib.so
%{_kde_libdir}/libamarokcore.so
%{_kde_libdir}/libamarokpud.so
%{_kde_libdir}/libamarokocsclient.so
%{_kde_libdir}/libamarok-sqlcollection.so
%{_kde_libdir}/libamarok-transcoding.so
%{_kde_libdir}/libamarokshared.so
#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kde4 -DKDE4_BUILD_TESTS=OFF -DMYSQLCONFIG_EXECUTABLE:BOOL=OFF
%make_build

%install
%make_install -C build

# appdata/metainfo
mkdir -p %{buildroot}%{_kde_datadir}/appdata/
mv %{buildroot}%{_kde_datadir}/metainfo/*.xml \
   %{buildroot}%{_kde_datadir}/appdata/

%find_lang %{name} amarokcollectionscanner_qt amarok_scriptengine_qscript amarokpkg --with-kde --with-html


%changelog
* Tue May 02 2017 akien <akien> 3:2.8.90-6.mga6
+ Revision: 1098349
- Rebuild for ffmpeg 3.3

* Wed Apr 12 2017 luigiwalser <luigiwalser> 3:2.8.90-5.mga6
+ Revision: 1096453
- add more upstream fixes via fedora
- install more appdata files

* Thu Mar 09 2017 akien <akien> 3:2.8.90-4.mga6
+ Revision: 1090842
- Add upstream patch to fix ffmpeg 3.0+ compatibility
- Rebuild for ffmpeg 3.2.4

* Sat Aug 20 2016 luigiwalser <luigiwalser> 3:2.8.90-3.mga6
+ Revision: 1047463
- sync several upstream patches from fedora

* Tue Mar 29 2016 umeabot <umeabot> 3:2.8.90-2.mga6
+ Revision: 996049
- Mageia 6 Mass Rebuild

* Sat Jan 02 2016 luigiwalser <luigiwalser> 3:2.8.90-1.mga6
+ Revision: 918515
- 2.8.90
- fix source URL
- remove upstreamed patch 100
- add upstream patch via fedora to fix build with taglib 1.10
- add two patches from fedora to fix build issue related to mysql
- partial BuildRequires sync with fedora
- recommend clamz and kio-mtp

* Mon Sep 14 2015 fwang <fwang> 3:2.8.0-8.mga6
+ Revision: 879146
- rebuild for new libgcrypt

  + neoclust <neoclust>
    - Rebuild against new taglib

* Mon May 04 2015 neoclust <neoclust> 3:2.8.0-6.mga5
+ Revision: 821213
- Disable analyser by default ( MGA #15838 )

* Fri Nov 14 2014 fwang <fwang> 3:2.8.0-5.mga5
+ Revision: 796987
- rebuild for new ffmpeg

* Wed Oct 15 2014 umeabot <umeabot> 3:2.8.0-4.mga5
+ Revision: 743301
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3:2.8.0-3.mga5
+ Revision: 677748
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 3:2.8.0-2.mga4
+ Revision: 532079
- Mageia 4 Mass Rebuild

* Thu Aug 15 2013 luigiwalser <luigiwalser> 3:2.8.0-1.mga4
+ Revision: 466727
- 2.8.0

* Wed Jul 24 2013 neoclust <neoclust> 3:2.7.90-1.mga4
+ Revision: 457622
- New version

* Thu Jul 11 2013 fwang <fwang> 3:2.7.1-5.mga4
+ Revision: 452787
- rebuild for new ffmpeg

* Wed Jun 12 2013 juancho <juancho> 3:2.7.1-4.mga4
+ Revision: 442184
- Added patch to fix bug 10287: amarok scrobbling broken by liblastfm 1.0.7

* Wed Jun 12 2013 juancho <juancho> 3:2.7.1-3.mga4
+ Revision: 442052
- Changed Requires of ifuse for Suggests.

* Wed May 29 2013 juancho <juancho> 3:2.7.1-2.mga4
+ Revision: 430520
- Added missing Requires on ifuse to handle iphone/ipod devices

* Fri May 24 2013 fwang <fwang> 3:2.7.1-1.mga4
+ Revision: 425665
- new version 2.7.1

* Fri Jan 18 2013 fwang <fwang> 3:2.7.0-1.mga3
+ Revision: 389298
- SILEN: update file list
- new version 2.7.0

* Fri Jan 11 2013 umeabot <umeabot> 3:2.6.90-3.mga3
+ Revision: 345525
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 3:2.6.90-2.mga3
+ Revision: 341599
- rebuild for new ffmpeg

* Fri Dec 14 2012 fwang <fwang> 3:2.6.90-1.mga3
+ Revision: 330959
- br nepomuk
- update file list
- new version 2.6.90

* Sat Dec 08 2012 fwang <fwang> 3:2.6.0-2.mga3
+ Revision: 328047
- update rpm group
- disable test build

* Mon Aug 13 2012 neoclust <neoclust> 3:2.6.0-1.mga3
+ Revision: 281174
- New version 2.6.0

* Sat Aug 11 2012 neoclust <neoclust> 3:2.5.96-2.mga3
+ Revision: 280741
- Add liblastfm support from master

* Sat Aug 11 2012 neoclust <neoclust> 3:2.5.96-1.mga3
+ Revision: 280674
- New version 2.6 Rc1

* Thu Aug 02 2012 neoclust <neoclust> 3:2.5.90-2.mga3
+ Revision: 277761
- Rebuild against new liblastfm

* Fri Jun 01 2012 fwang <fwang> 3:2.5.90-1.mga3
+ Revision: 252794
- new version 2.5.90

* Tue May 29 2012 fwang <fwang> 3:2.5.0-4.mga3
+ Revision: 248941
- add upstream patch to build with latest ffmpeg
- rebuild for new ffmpeg

* Fri Jan 27 2012 mikala <mikala> 3:2.5.0-3.mga2
+ Revision: 202094
- Add patch0005 to fix contextview ( bug #290123)
- Drop patch004 (disable lastfm plugin in amarok configuration instead of using a plugin)

* Sat Dec 17 2011 fwang <fwang> 3:2.5.0-2.mga2
+ Revision: 182924
- rebuild for new mariadb

* Thu Dec 15 2011 fwang <fwang> 3:2.5.0-1.mga2
+ Revision: 182270
- new version 2.5.0

* Mon Nov 21 2011 juancho <juancho> 3:2.4.90-3.mga2
+ Revision: 170337
- Fixed amarok-scripts Obsoletes tag (I hope this time I got it right vim SPECS/amarok.spec).

* Sun Nov 20 2011 juancho <juancho> 3:2.4.90-2.mga2
+ Revision: 170125
- Added back versionated Obsoletes: amarok-scripts < %%epoch:%%version-%%release

* Sun Nov 20 2011 juancho <juancho> 3:2.4.90-1.mga2
+ Revision: 169631
- Updated to 2.5beta1 (2.4.90), and Obsoletes: amarok-scripts as it isn't included anymore with this version

* Thu Nov 10 2011 mikala <mikala> 3:2.4.3-6.mga2
+ Revision: 166211
- Really remove %%_kde_docdir/HTML from amarok packages (use %%exclude functionnality as suggested by blino)

* Thu Nov 10 2011 mikala <mikala> 3:2.4.3-5.mga2
+ Revision: 166102
- Add the amarok-handbook for the live-cd
- Ressurect amarok-utils subpackage ( amarokcollectionscanner is built on purpose to be used *without* amarok binary)
 - add amarok_afttagger binary in amarok-utils subpackage
 - use pkgconfig() for buildrequires
 - remove non used buildrequires
 - remove %%defattr
 - use kde4 macros
 - add ffmpeg as suggests (needed for transcoding)
 - remove conflicts from 2010.0
 - Fix license

  + fwang <fwang>
    - drop invalid requires
    - merge some sub packages
    - new version 2.4.3

* Sun Jul 17 2011 fwang <fwang> 3:2.4.1.90-2.mga2
+ Revision: 125199
- rebuild for new libmtp

* Sat Jul 09 2011 fwang <fwang> 3:2.4.1.90-1.mga2
+ Revision: 120818
- new version 2.4.1.90

* Fri Jun 24 2011 fwang <fwang> 3:2.4.1-1.mga2
+ Revision: 113013
- add upstream patch to build with ffmpeg 0.8
- rebuild for new ffmpeg

* Sun May 08 2011 mikala <mikala> 3:2.4.1-0.mga1
+ Revision: 96435
- Update tarball to 2.4.1

* Tue Apr 12 2011 ahmad <ahmad> 3:2.4.0.90-4.mga1
+ Revision: 83548
- don't obsolete libampache_account; as per discussion with dmorgan on IRC, no
  quirks for upgrading packages from 3rd party repos should be added

* Sun Apr 10 2011 dmorgan <dmorgan> 3:2.4.0.90-3.mga1
+ Revision: 82739
- Obsoletes libampache_account ( cf -dev ML)

* Thu Mar 24 2011 dmorgan <dmorgan> 3:2.4.0.90-2.mga1
+ Revision: 76735
- Rebuild against new mysql

* Wed Mar 23 2011 mikala <mikala> 3:2.4.0.90-1.mga1
+ Revision: 75784
- Update tarball to 2.4.0.90 ( Amarok 2.4 beta 1)
- Drop patch6 (merged upstream)
- Drop patch5 (don't need it anymore for build since mysqle is fixed in mysql package
  	       should fix mga #358)
- Add upstream patch to fix version requirement
- Add libmygpo-qt-devel as BR (provides support for gpodder.net podcast)
- Fix file list (don't drop libamarokqtjson %%files until the final )

* Sun Mar 13 2011 mikala <mikala> 3:2.4.0-2.mga1
+ Revision: 70707
- Add patch006 (mysqle should work again with mysql 5.5.9)
- Remove buildroot

* Mon Jan 24 2011 ahmad <ahmad> 3:2.4.0-1.mga1
+ Revision: 35971
- update to 2.4.0
- add patch to fix linking with mysql (Mandriva)
- drop old conflicts/obsoletes
- drop old/unneeded scriptlets

  + mikala <mikala>
    - imported package amarok

